
<!DOCTYPE html>
<html lang="en" lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">>
<head>

    <meta charset="UTF-8">
    <title>Registration</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
<div class="container-fluid">
    <section class="container">
        <div class="container-page">
                <div class="col-md-6">
                    <h3 class="dark-grey">Регистрация</h3>

                    <form id="form" th:action="@{/register}" th:object="${userForm}" method="post">

                    <div class="form-group col-lg-12">
                        <label>Email Address</label>
                        <input type="email" name="" class="form-control" th:field="*{email}">
                        <a th:if="${#fields.hasErrors('email')}" th:errors="*{email}">Name Error</a>
                    </div>

                    <div class="form-group col-lg-12">
                        <label>Phone Number</label>
                        <input type="number" name="" class="form-control" th:field="*{phone}">
                        <a th:if="${#fields.hasErrors('phone')}" th:errors="*{phone}">Phone Error</a>
                    </div>

                    <div class="form-group col-lg-6">
                        <label>Password</label>
                        <input type="password" name="" class="form-control" th:field="*{password}">
                        <a th:if="${#fields.hasErrors('password')}" th:errors="*{password}">Name Error</a>
                    </div>

                    <div class="form-group col-lg-6">
                        <label>Repeat Password</label>
                        <input type="password" name="" class="form-control" th:field="*{repeatedPassword}">
                        <a th:if="${passwordError} == 'passwordsMismatch'">Passwords don't match.</a>
                    </div>

                    </form>

                </div>

            <div class="col-md-6">
                <h3 class="dark-grey">------------------------------</h3>
                <p>
                    Нажимая на конпку "Register" вы:
                </p>
                <hr>
                <p>
                    1. Подтверждаете, что ознакомились с проектом  на <a th:href="@{/main}">начальной странице.</a>
                </p>
                <hr>
                <hr>
                <button type="submit" class="btn btn-primary" onclick="$('#form').submit();">Register</button>
            </div>
        </div>
    </section>
</div>

</body>
</html>